/*
 * Copyright (c) 2017, Tony Opara
 *        All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * - Redistributions of source code must retain the above copyright notice, this 
 *   list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * Neither the name of Google nor the names of its contributors may be used to 
 * endorse or promote products derived from this software without specific 
 * prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package com.google.refine.extension.database;

import java.sql.SQLException;

public class DatabaseServiceException extends Exception {

    
    private static final long serialVersionUID = 1L;
    
    private boolean sqlException;
    private String sqlState;
    private int sqlCode;
   
    
    public DatabaseServiceException(String exception) {
        super(exception);
    }

    
    public DatabaseServiceException(boolean sqlException, String sqlState, int sqlCode, String message) {
        super(message);
        this.sqlException = sqlException;
        this.sqlState = sqlState;
        this.sqlCode = sqlCode;
        
    }


    public boolean isSqlException() {
        return sqlException;
    }

    
    public void setSqlException(boolean sqlException) {
        this.sqlException = sqlException;
    }

    
    public String getSqlState() {
        return sqlState;
    }

    
    public void setSqlState(String sqlState) {
        this.sqlState = sqlState;
    }

    
    public int getSqlCode() {
        return sqlCode;
    }

    
    public void setSqlCode(int sqlCode) {
        this.sqlCode = sqlCode;
    }

    public DatabaseServiceException(String string, SQLException e) {
        super(string, e);
    }

}
